/*******************************************************************************
 * FoxGRI_CTF generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGRI_CTF extends FoxGRI_TDM
    native
    config(Game)
    hidecategories(Navigation,Movement,Collision);

// Export UFoxGRI_CTF::execCheckScore(FFrame&, void* const)
native simulated function CheckScore(Controller PC);

simulated function int GetScoreForEvent(FoxTypes.EScoreEvents EventType)
{
    switch(EventType)
    {
        // End:0x3A
        case 1:
            return class'FoxScoringInfoCTF'.default.ExpCanisterGrab;
            // End:0xD9
            break;
        // End:0x61
        case 2:
            return class'FoxScoringInfoCTF'.default.ExpCanisterCapture;
            // End:0xD9
            break;
        // End:0x88
        case 3:
            return class'FoxScoringInfoCTF'.default.ExpCanisterCarrierKill;
            // End:0xD9
            break;
        // End:0xAF
        case 4:
            return class'FoxScoringInfoCTF'.default.ExpCanisterReturn;
            // End:0xD9
            break;
        // End:0xD6
        case 5:
            return class'FoxScoringInfoCTF'.default.ExpTeamCanisterCapture;
            // End:0xD9
            break;
        // End:0xFFFF
        default:
            return super(FoxGRI).GetScoreForEvent(EventType);
    }
    //return ReturnValue;    
}

// Export UFoxGRI_CTF::execGetPRIThreatLevel(FFrame&, void* const)
native simulated function int GetPRIThreatLevel(FoxPRI PRI);

defaultproperties
{
    ScoringInfoClass=class'FoxScoringInfoCTF'
    DialogActionCategory="Flag"
    GameTypeCode="CTC"
    GameClass=class'FoxGameMP_CTF'
}